PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTTPClientBasicAuthentication Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPClientBasicAuthentication:
[legend]
Collaboration diagram for PHTTPClientBasicAuthentication:
[legend]

## Public Member Functions
| PHTTPClientBasicAuthentication ()
virtual Comparison | Compare (const PObject &other) const
| Compare the two objects and return their relative rank. More...
virtual PBoolean | Parse (const PString &auth, PBoolean proxy)
virtual PBoolean | Authorise (AuthObject &pdu) const
Public Member Functions inherited from PHTTPClientAuthentication
| PHTTPClientAuthentication ()
virtual PBoolean | IsProxy () const
virtual PString | GetUsername () const
virtual PString | GetPassword () const
virtual PString | GetAuthRealm () const
virtual void | SetUsername (const PString &user)
virtual void | SetPassword (const PString &pass)
virtual void | SetAuthRealm (const PString &)
PString | GetAuthParam (const PString &auth, const char *name) const
PString | AsHex (PMessageDigest5::Code &digest) const
PString | AsHex (const PBYTEArray &data) const
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PHTTPClientAuthentication
static PHTTPClientAuthentication * | ParseAuthenticationRequired (bool isProxy, const PMIMEInfo &line, PString &errorMsg)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PHTTPClientAuthentication
PBoolean | isProxy
PString | username
PString | password
Friends inherited from PObject

## Constructor & Destructor Documentation

PHTTPClientBasicAuthentication::PHTTPClientBasicAuthentication | ( |  | ) |

## Member Function Documentation

virtual PBoolean PHTTPClientBasicAuthentication::Authorise | ( | AuthObject & | pdu | ) | const
| virtual

Implements PHTTPClientAuthentication.

virtual Comparison PHTTPClientBasicAuthentication::Compare | ( | const PObject & | obj | ) | const
| virtual

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PHTTPClientAuthentication.

virtual PBoolean PHTTPClientBasicAuthentication::Parse | ( | const PString & | auth,
|  | PBoolean | proxy
| ) |  |
| virtual

Implements PHTTPClientAuthentication.

The documentation for this class was generated from the following file:

- http.h